Bug 384781 (CVE-2006-7226) - CVE-2006-7226 pcre miscalculation of memory requirements for repeated subpattern containing a named recursion or subroutine reference
Summary: CVE-2006-7226 pcre miscalculation of memory requirements for repeated subpatt...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2006-7226
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.pcre.org/changelog.txt
Whiteboard:
Depends On: 380511 380521 380531 380541 411731 413871 414271
Blocks: 380501
TreeView+ depends on / blocked
 
Reported: 2007-11-15 15:20 UTC by Tomas Hoger
Modified: 2021-02-25 17:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-11 17:26:53 UTC


Attachments (Terms of Use)
Patch agains pcre 6.4 provided by Ludwig Nussel of SUSE (1.38 KB, patch)
2007-11-15 15:20 UTC, Tomas Hoger
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1059 0 normal SHIPPED_LIVE Important: pcre security update 2007-11-29 14:51:01 UTC
Red Hat Product Errata RHSA-2007:1068 0 normal SHIPPED_LIVE Important: pcre security update 2007-11-29 15:09:39 UTC

Description Tomas Hoger 2007-11-15 15:20:36 UTC
From pcre changelog, version 6.7:

26. If a subpattern containing a named recursion or subroutine reference such
    as (?P>B) was quantified, for example (xxx(?P>B)){3}, the calculation of
    the space required for the compiled pattern went wrong and gave too small a
    value. Depending on the environment, this could lead to "Failed: internal
    error: code overflow at offset 49" or "glibc detected double free or
    corruption" errors.

Acknowledgements:

Red Hat would like to thank Ludwig Nussel for reporting this issue.

Comment 1 Tomas Hoger 2007-11-15 15:20:36 UTC
Created attachment 259921 [details]
Patch agains pcre 6.4 provided by Ludwig Nussel of SUSE

Comment 4 Mark J. Cox 2007-11-28 10:07:21 UTC
Now public via SUSE advisory, removing embargo

Comment 9 Red Hat Product Security 2008-01-11 17:26:53 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1059.html
  http://rhn.redhat.com/errata/RHSA-2007-1068.html


Note You need to log in before you can comment on or make changes to this bug.